<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>CSS Introduction</title>
	<!-- Internal CSS 
	
			Wecan apply style to multiple elements with the same tag or multiple elements as we selected.

			This style from internal css cna only affect the elements where the internal css is added.
	-->

	<link rel="stylesheet" type="text/css" href="./style.css">

	 <!-- <style type="text/css">
		h1 {
			color: pink !important;
			background-color: gray;
		}
	</style>  -->

	<!-- external css is the best way of implenting stylings. -->

</head>
<body>
	<!-- style attribute changes the styling properties of an element. This implementation of style is what we call inline  -->

	<!-- The value of style attribute are the properties of the element. The value before the colon (:) are the element's properties. the value after the colon are the values we would like to assign our property.

	<tag style="property:value;">text</tag>

	Multiple properties can be changed or assigned in our inline-style.

	inline style can become bulky, can become erratic.

	inline styling is specific to the tag it is attached to.

	inline style is given more priority that internal style. Wherein properties set with inline overrides the properties set via internal style.
	
	inline > internal > external

	 -->
<!-- 	<h1 style="color: red !important; font-size: 100px;">Hello World!</h1> -->

<!-- nav bar -->

<nav id="top">
	<a href="#landing">Zuitt</a>
	<div>
		<a href="#landing">Landing</a>
		<a href="#register">Register</a>
	</div>
</nav>

<!-- End of nav -->

<!-- main content -->
<h1>Hello World!</h1>

<section id="landing">
<h2>Welcome to Zuitt!</h2>
<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
<img src="https://place-puppy.com/450x450">
	<ol id="bootcamp-learning-list">
	<!-- class can be used to add stylings to element with the same class, unlike id, it can be implemented to multiple elements -->
	<li class="offering-item">Day Classes</li>
	<li class="offering-item">Night Classes</li>
	<li class="offering-item">Intro to Coding Events</li>

</ol>
<a href="#top">Back to Top</a>
</section>

<section id="register">
	
<h2>Register</h2>
<form>
	<label for="first-name">First Name:</label>
	<input type="text" name="first-name" id="first-name" required autocomplete>

	<label for="last-name">Last Name:</label>
	<input type="text" name="last-name" id="last-name" required autocomplete>

	<label for="email">Email:</label>
	<input type="email" name="email" id="email" required autocomplete>

	<!-- <label for="password">Password:</label>
	<input type="password" name="password" id="password" autocomplete> -->

<button type="submit">Apply Now!</button>

</form>
<a href="#top">Back to Top</a>	
</section>





</body>
</html>